MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027844Open CASCADE[OCCT] OCCT:Foundation Classespublic2016-09-06 14:382016-12-09 16:40
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027844: Foundation Classes - remove method OSD_File::Print()
DescriptionThe method OSD_File::Print() looks redundant for this class and should be removed.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0027838closedkgv Open CASCADE Foundation Classes - support wchar_t* input within TCollection_AsciiString and TCollection_ExtendedString 

-  Notes
(0057662)
git (administrator)
2016-09-12 09:55

Branch CR27844 has been created by kgv.

SHA-1: badef95df70f7fad5d7d23504b7a1f7434787e44


Detailed log of new commits:

Author: kgv
Date: Mon Sep 12 09:54:55 2016 +0300

    0027844: Foundation Classes - remove method OSD_File::Print()
(0057664)
kgv (developer)
2016-09-12 09:57

Patch CR27844 is ready for review (in OCCT and Products).
(0057712)
abv (manager)
2016-09-12 21:19

No remarks, please test
(0057716)
kgv (developer)
2016-09-13 09:15

Please check compilation, regression testing is not needed.
(0057765)
mkv (tester)
2016-09-14 11:55

Dear BugMaster,
Branch CR27844 from occt git-repository (and CR27844 from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: badef95df70f7fad5d7d23504b7a1f7434787e44
SHA-1: 2113c4d7ffb37a6aaf314329e0e505c4aa27ff3b

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1156
(0057766)
mkv (tester)
2016-09-14 11:55

Dear BugMaster,
Branch CR27844 from occt git-repository and CR27844 from products git-repository are TESTED.
(0059506)
git (administrator)
2016-10-28 21:45

Branch CR27844 has been deleted by kgv.

SHA-1: badef95df70f7fad5d7d23504b7a1f7434787e44

- Related Changesets
occt: master 70ca46fe
Timestamp: 2016-09-12 06:54:55
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027844: Foundation Classes - remove method OSD_File::Print()
mod - adm/cmake/occt_csf.cmake Diff ] File ]
mod - adm/genproj.tcl Diff ] File ]
mod - src/OSD/FILES Diff ] File ]
mod - src/OSD/OSD.hxx Diff ] File ]
mod - src/OSD/OSD_File.cxx Diff ] File ]
mod - src/OSD/OSD_File.hxx Diff ] File ]
rm - src/OSD/OSD_Printer.cxx Diff ] File ]
rm - src/OSD/OSD_Printer.hxx Diff ] File ]
mod - src/OSD/OSD_WhoAmI.hxx Diff ] File ]
mod - src/TKernel/EXTERNLIB Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-09-06 14:38 kgv New Issue
2016-09-06 14:38 kgv Assigned To => abv
2016-09-06 14:38 kgv Relationship added related to 0027838
2016-09-06 14:38 kgv Relationship added related to 0027350
2016-09-12 09:55 git Note Added: 0057662
2016-09-12 09:57 kgv Note Added: 0057664
2016-09-12 09:57 kgv Status new => resolved
2016-09-12 21:19 abv Note Added: 0057712
2016-09-12 21:19 abv Assigned To abv => bugmaster
2016-09-12 21:19 abv Status resolved => reviewed
2016-09-13 09:15 kgv Note Added: 0057716
2016-09-13 12:11 mkv Assigned To bugmaster => mkv
2016-09-14 11:55 mkv Note Added: 0057765
2016-09-14 11:55 mkv Note Added: 0057766
2016-09-14 11:55 mkv Assigned To mkv => bugmaster
2016-09-14 11:55 mkv Status reviewed => tested
2016-09-14 11:55 mkv Test case number => Not needed
2016-09-16 09:43 bugmaster Changeset attached => occt master 70ca46fe
2016-09-16 09:43 bugmaster Status tested => verified
2016-09-16 09:43 bugmaster Resolution open => fixed
2016-10-28 21:45 git Note Added: 0059506
2016-12-09 16:29 user533 Status verified => closed
2016-12-09 16:40 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker